Änderung 12997 von branches


Ignorieren:
Zeitstempel:
10.03.2015 09:17:44 (vor 3 Jahren)
Autor:
er13
Nachricht:

binutils:

  • downgrade default binutils version, use 2.22 by default for all compiler versions
  • AVM uses 2.21 (at least upto Fritz!OS 6.24), call grep "^BR2_BINUTILS_VERSION" buildroot.config* within unpacked opensrc package to verify
  • refs #1939
Datei:
1 bearbeitet

Legende:

Unverändert
Hinzugefügt
Entfernt
  • branches/uclibc-testing/config/ui/toolchain.in

    r12840 r12997  
    2020    prompt "Kernel binutils" 
    2121    default FREETZ_KERNEL_BINUTILS_2_18 if FREETZ_AVM_GCC_3_4 
    22     default FREETZ_KERNEL_BINUTILS_2_22 if FREETZ_AVM_GCC_4_6 || FREETZ_AVM_GCC_4_7 
    23     default FREETZ_KERNEL_BINUTILS_2_23 if FREETZ_AVM_GCC_4_8 
     22    default FREETZ_KERNEL_BINUTILS_2_22 if FREETZ_AVM_GCC_4_6_MIN 
    2423 
    2524    config FREETZ_KERNEL_BINUTILS_2_18 
     
    2928    config FREETZ_KERNEL_BINUTILS_2_22 
    3029        bool "binutils-2.22" 
    31         depends on (FREETZ_AVM_GCC_4_6 || FREETZ_AVM_GCC_4_7) \ 
    32             || (FREETZ_AVM_GCC_4_6_MIN && (FREETZ_BUILD_TOOLCHAIN || FREETZ_DL_TOOLCHAIN_OVERRIDE)) 
     30        depends on FREETZ_AVM_GCC_4_6_MIN 
    3331 
    3432    config FREETZ_KERNEL_BINUTILS_2_23 
    3533        bool "binutils-2.23.2" 
    36         depends on FREETZ_AVM_GCC_4_8 \ 
    37             || (FREETZ_AVM_GCC_4_6_MIN && (FREETZ_BUILD_TOOLCHAIN || FREETZ_DL_TOOLCHAIN_OVERRIDE)) 
     34        depends on (FREETZ_AVM_GCC_4_6_MIN && (FREETZ_BUILD_TOOLCHAIN || FREETZ_DL_TOOLCHAIN_OVERRIDE)) 
    3835 
    3936    config FREETZ_KERNEL_BINUTILS_2_24 
     
    132129choice 
    133130    prompt "Target binutils" 
    134     default FREETZ_TARGET_BINUTILS_2_22 if FREETZ_AVM_GCC_4_7_MAX 
    135     default FREETZ_TARGET_BINUTILS_2_23 if FREETZ_AVM_GCC_4_8_MIN 
     131    default FREETZ_TARGET_BINUTILS_2_22 
    136132 
    137133    config FREETZ_TARGET_BINUTILS_2_22 
    138134        bool "binutils-2.22" 
    139         depends on FREETZ_AVM_GCC_4_7_MAX \ 
    140             || (FREETZ_BUILD_TOOLCHAIN || FREETZ_DL_TOOLCHAIN_OVERRIDE) 
    141135 
    142136    config FREETZ_TARGET_BINUTILS_2_23 
    143137        bool "binutils-2.23.2" 
    144         depends on FREETZ_AVM_GCC_4_8_MIN \ 
    145             || (FREETZ_BUILD_TOOLCHAIN || FREETZ_DL_TOOLCHAIN_OVERRIDE) 
     138        depends on (FREETZ_BUILD_TOOLCHAIN || FREETZ_DL_TOOLCHAIN_OVERRIDE) 
    146139 
    147140    config FREETZ_TARGET_BINUTILS_2_24 
Hinweis: Hilfe zur Verwendung der Changeset-Ansicht finden Sie unter TracChangeset.